From a2d7fccc8cd8035898a4459e4b7176ef1168f713 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Wed, 8 May 2019 15:22:36 -0500
Subject: [PATCH v1] review pg12 release notes

---
 doc/src/sgml/release-12.sgml | 37 +++++++++++--------------------------
 1 file changed, 11 insertions(+), 26 deletions(-)

diff --git a/doc/src/sgml/release-12.sgml b/doc/src/sgml/release-12.sgml
index 88bdcbd..ab4d1b3 100644
--- a/doc/src/sgml/release-12.sgml
+++ b/doc/src/sgml/release-12.sgml
@@ -61,8 +61,8 @@ Remove the special behavior of OID columns (Andres Freund, John Naylor)
 
 <para>
 Previously, a normally-invisible OID column could be specified during table creation using WITH OIDS;  that ability has been removed. Columns can still be explicitly
-specified as type OID.  pg_dump and pg_upgrade operations on databases using WITH OIDS will need adjustment.  Many system tables now have an 'oid' column that will be
-expanded with SELECT * by default.
+specified as type OID.  pg_dump and pg_upgrade operations on databases using WITH OIDS will need adjustment.  The 'oid' column of many system tables will be
+shown by default with SELECT *.
 </para>
 </listitem>
 
@@ -115,7 +115,7 @@ Do not allow multiple different recovery_target* specifications (Peter Eisentrau
 </para>
 
 <para>
-Previously multiple different recovery_target* variables could be specified, and last one specified was honored.  Now, only one can be specified, though the same one can
+Previously multiple different recovery_target* variables could be specified, and the last one specified was honored.  Now, only one can be specified, though the same one can
 be specified multiple times and the last specification is honored.
 </para>
 </listitem>
@@ -405,7 +405,7 @@ Author: Robert Haas <rhaas@postgresql.org>
 -->
 
 <para>
-Allow ATTACH PARTITION to be performed with reduced locking requirements (Robert Haas)
+ATTACH PARTITION is performed with lower locking requirement (Robert Haas)
 </para>
 </listitem>
 
@@ -617,7 +617,7 @@ Have new btree indexes sort duplicate index entries in heap-storage order (Peter
 </para>
 
 <para>
-Btree indexes pg_upgraded from previous releases will not have this ordering.  This does slightly reduce the maximum length of indexed values.
+Btree indexes pg_upgraded from previous releases will not have this ordering.  This slightly reduces the maximum permitted length of indexed values.
 </para>
 </listitem>
 
@@ -676,7 +676,7 @@ Allow CREATE STATISTICS to create most-common-value statistics for multiple colu
 </para>
 
 <para>
-This improve optimization for columns with non-uniform distributions that often appear in WHERE clauses.
+This improves query plans for columns with non-uniform distributions that often appear in WHERE clauses.
 </para>
 </listitem>
 
@@ -954,21 +954,6 @@ This dramatically speeds up processing of floating-point values.  Users who wish
 
 <listitem>
 <!--
-Author: Amit Kapila <akapila@postgresql.org>
-2019-02-04 [b0eaa4c51] Avoid creation of the free space map for small heap rela
--->
-
-<para>
-Avoid creation of the free space map files for small table (John Naylor, Amit Kapila)
-</para>
-
-<para>
-Such files are not useful.
-</para>
-</listitem>
-
-<listitem>
-<!--
 Author: Thomas Munro <tmunro@postgresql.org>
 2018-11-07 [3fd2a7932] Provide pg_pread() and pg_pwrite() for random I/O.
 Author: Thomas Munro <tmunro@postgresql.org>
@@ -1018,7 +1003,7 @@ Allow logging of only a percentage of statements and transactions meeting log_mi
 </para>
 
 <para>
-The parameters log_statement_sample_rate and log_transaction_sample_rate controls this.
+The parameters log_statement_sample_rate and log_transaction_sample_rate control this.
 </para>
 </listitem>
 
@@ -1231,7 +1216,7 @@ Author: Tom Lane <tgl@sss.pgh.pa.us>
 -->
 
 <para>
-Allow more comparisons with information_schema text columns use indexes (Tom Lane)
+Allow more comparisons with information_schema text columns to use indexes (Tom Lane)
 </para>
 </listitem>
 
@@ -1310,7 +1295,7 @@ Author: Thomas Munro <tmunro@postgresql.org>
 -->
 
 <para>
-Allow discovery of the LDAP server using DNS (Thomas Munro)
+Allow discovery of the LDAP server using DNS SRV records (Thomas Munro)
 </para>
 
 <para>
@@ -1446,7 +1431,7 @@ Add wal_recycle and wal_init_zero server variables to avoid WAL file recycling (
 </para>
 
 <para>
-This can be beneficial on copy-on-write file systems like ZFS.
+This can be beneficial on copy-on-write filesystems like ZFS.
 </para>
 </listitem>
 
@@ -1502,7 +1487,7 @@ Add server variable to control the type of shared memory to use (Andres Freund)
 </para>
 
 <para>
-The variable is shared_memory_type.  It purpose is to allow selection of System V shared memory, if desired.
+The variable is shared_memory_type.  Its purpose is to allow selection of System V shared memory, if desired.
 </para>
 </listitem>
 
-- 
2.7.4

